# [<img src="./ApostropheCMS_logo.png" height="140" title="ApostropheCMS" />](http://apostrophecms.org/)

[![Join the chat at https://gitter.im/apostrophecms/apostrophe](https://badges.gitter.im/apostrophecms/apostrophe.svg)](https://gitter.im/apostrophecms/apostrophe?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

ApostropheCMS is a content management system (CMS) for Node.js. It supports in-context editing, schema-driven content types, flexible widgets and a great deal more. This module contains everything necessary to build a website with ApostropheCMS.

Please see the [ApostropheCMS documentation](http://apostrophecms.org/docs) for detailed information about building sites with ApostropheCMS.

## Getting Started

The [ApostropheCMS documentation](http://apostrophecms.org/docs/tutorials/getting-started/index.html) will walk you through some simple steps to get your [local environment set up](http://apostrophecms.org/docs/tutorials/getting-started/setting-up-your-environment.html) with the technology stack that runs ApostropheCMS (Node.js, MongoDB, ImageMagick) along with installing ApostropheCMS itself.

Then [create a new project](http://apostrophecms.org/docs/tutorials/getting-started/creating-your-first-project.html) on your computer and work on building your beautiful website.

The ApostropheCMS documentation will walk you through [editing page templates](http://apostrophecms.org/docs/tutorials/getting-started/editing-page-templates.html), [global content](http://apostrophecms.org/docs/tutorials/getting-started/global.html), [creating custom widgets](http://apostrophecms.org/docs/tutorials/getting-started/custom-widgets.html) and [navigation](http://apostrophecms.org/docs/tutorials/getting-started/building-navigation.html), along with [configuring reusable "pieces"](http://apostrophecms.org/docs/tutorials/getting-started/reusable-content-with-pieces.html) and [global settings](http://apostrophecms.org/docs/tutorials/getting-started/settings.html). Plus, a whole lot more!

## Taking it Further

Our documentation also covers advanced topics such as [managing permissions](http://apostrophecms.org/docs/tutorials/intermediate/permissions.html), [working with ApostropheCMS data](http://apostrophecms.org/docs/tutorials/intermediate/model-layer.html), [building forms](http://apostrophecms.org/docs/tutorials/intermediate/forms.html), and [hosting an ApostropheCMS site in production](http://apostrophecms.org/docs/tutorials/intermediate/deployment.html).

Moreover, there's tons of great info in the ["How To"](http://apostrophecms.org/docs/tutorials/howtos/index.html) section of the docs, and it's always growing!

## Extending the Core with Modules

ApostropheCMS is Node.js all the way through, which means it can be [extended](http://apostrophecms.org/extend) in all sorts of interesting ways. Here's a list of some of our favorite modules:

* [apostrophe-headless](https://github.com/punkave/apostrophe-headless) - Add REST APIs and power your React / Vue / Native / etc. apps with a headless CMS.
* [apostrophe-blog](https://github.com/punkave/apostrophe-blog) - Everything you need to put a blog on your site.
* [apostrophe-events](https://github.com/punkave/apostrophe-events) - Manage upcoming events.
* [apostrophe-workflow](https://github.com/punkave/apostrophe-workflow) - Add powerful localization capabilities to your project.
* [apostrophe-passport](https://github.com/punkave/apostrophe-passport) - Authenticate via Twitter, Facebook, Github and more.
* [apostrophe-places](https://github.com/punkave/apostrophe-places) - Manage geotagged content and display it on a map.
* [apostrophe-redirects](https://github.com/punkave/apostrophe-redirects) - An easy redirects module.

## Additional Resources
We've got some great [open-source projects](http://apostrophecms.org/docs/tutorials/intermediate/deployment.html) that can help you out deploying, managing and maintaining ApostropheCMS sites.

## License
ApostropheCMS is released under the [MIT License](https://github.com/punkave/apostrophe/blob/master/LICENSE.md).
